%define	major 2.3
%define	libname	%mklibname %{name} %{major}

Summary:	Utilities for the ncpfs filesystem, a NetWare client for Linux
Name:		ncpfs
Version:	2.2.6
Release:	%mkrel 3
License:	GPL
Group:		Networking/Other
URL:		ftp://platan.vc.cvut.cz/pub/linux/ncpfs/
Source0:	ftp://platan.vc.cvut.cz/pub/linux/ncpfs/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		ncpfs-2.2.3-fix.patch
Patch1:		ncpfs-2.2.3-array.patch
Patch3:		ncpfs-2.2.4-pie.patch
Patch5:		ncpfs-2.2.6-getuid.patch
Patch6:		ncpfs-2.2.4-gcc4.patch
Patch7:		ncpfs-2.2.6-ldconfig.patch
Patch8:		ncpfs-2.2.6-align.patch
Patch9:		ncpfs-2.2.6-add-missing-header.patch
Requires(post):	/bin/sed /bin/grep
Requires(postun):	/bin/sed /bin/grep
Requires:	ipxutils
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	pam-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ncpfs is a filesystem which understands the Novell NetWare(TM)
NCP protocol.  Functionally, NCP is used for NetWare the way NFS
is used in the TCP/IP world.  For a Linux system to mount a NetWare
filesystem, it needs a special mount program.  The ncpfs package
contains such a mount program plus other tools for configuring and
using the ncpfs filesystem.

Install the ncpfs package if you need to use the ncpfs filesystem
to use Novell NetWare files or services.

%package -n	ipxutils
Summary:	Tools for configuring and debugging IPX interfaces and networks
Group:		System/Configuration/Networking

%description -n	ipxutils
The ipxutils package includes utilities (ipx_configure, ipx_internal_net,
ipx_interface, ipx_route) necessary for configuring and debugging IPX
interfaces and networks under Linux. IPX is the low-level protocol used
by Novell's NetWare file server system to transfer data.

Install ipxutils if you need to configure IPX networking on your network.

%package -n	%{libname}
Summary:	Library associated with ncpfs
Group:		System/Libraries

%description -n	%{libname}
This library is mandatory for ncpfs and ipxutils to run.

%package -n	%{libname}-devel
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 

%description -n	%{libname}-devel
Static libraries and header files required for compiling xmms plugins.

%prep

%setup -q
%patch0 -p1 -b .fix
%patch1 -p1 -b .array
%patch3 -p1 -b .pie
%patch5 -p1 -b .getuid
%patch6 -p1 -b .gcc4
%patch7 -p1 -b .ld
%patch8 -p1 -b .align
%patch9 -p1 -b .header

chmod +rw -R .

%build
chmod -R u+w po
CFLAGS="%{optflags} -fPIC" \
%configure	--disable-rpath \
		--enable-pam

%make clean
%make
%make -C ipxdump
mv ipxdump/README ipxdump/README.ipxdump

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}

%makeinstall_std install-dev

# Move ipx_configure/ipx_internal_net to permit /usr from NFS
for i in ipx_configure ipx_internal_net ipx_interface ; do
    mv %{buildroot}%{_bindir}/$i %{buildroot}/sbin/$i
done

install -m755 ipxdump/ipxdump ipxdump/ipxparse %{buildroot}%{_bindir}/

ln -sf ncpmount.8 %{buildroot}%{_mandir}/man8/mount.ncp.8

%find_lang %{name}

#rm -f %{buildroot}/usr/share/locale/locale.alias

%post -n ipxutils
if [ -f %{_sysconfdir}/modules.conf ];then
    if ! grep -q -E "^alias.*net-pf-4.*ipx" %{_sysconfdir}/modules.conf;then
	echo "alias net-pf-4 ipx" >> %{_sysconfdir}/modules.conf
    fi
else
    echo "alias net-pf-4 ipx" >> %{_sysconfdir}/modules.conf
fi

%postun  -n ipxutils
if [ "$1" = "0" ];then
    if [ -f %{_sysconfdir}/modules.conf ];then
	if grep -q -E "^alias.*net-pf-4.*ipx" %{_sysconfdir}/modules.conf;then
	    sed 's/^alias net-pf-4 ipx//' %{_sysconfdir}/modules.conf > /tmp/.modules.conf \
	    && mv -f /tmp/.modules.conf %{_sysconfdir}/modules.conf
	fi
    fi
fi

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
/sbin/mount.ncp*
/sbin/nwmsg
%{_bindir}/n*
%{_bindir}/p*
%{_bindir}/slist
%{_sbindir}/nwmsg
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc BUGS COPYING Changes FAQ README

%files -n ipxutils
%defattr(-,root,root)
%doc ipx-1.0/COPYING ipx-1.0/README
%doc ipxdump/README.ipxdump
/sbin/ipx_*
%{_bindir}/ipx*
%{_mandir}/*/ipx*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
/lib/security/*
%{_libdir}/libncp.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING Changes
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*


%changelog
* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-3mdv2007.0
+ Revision: 134439
- Import ncpfs



* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-3mdv2007.1
- bunzip patches

* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.6-2mdv2007.0
- compile with -fPIC to fix build on x86_64

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.6-1mdv2007.0
- add missing syslog header (P9)
- fix prereq-use
- sync with fedora patches (P0-P8)
- %%mkrel

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.6-1mdk
- 2.2.6

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.5-3mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.5-2mdk
- lib64 fixes

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.5-1mdk
- 2.2.5
- use %%configure macro

* Mon Jul 12 2004 Olivier Blin <blino@mandrake.org> 2.2.4-2mdk
- package missing symlinks, to fix bug 8400

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Tue Jan 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.3-4mdk
- fix unpackaged files
- spec cosmetics

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 2.2.3-3mdk
- Rebuild to fix bad signature

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.3-2mdk
- use the %%mklibname macro
- misc spec file fixes
- rebuilt to have rpm v4.2 know about provides
- fix old faulty changelog entries

* Tue Apr 08 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3.
- libncpfs2.3{,-devel}.

* Tue Feb 18 2003 David Walser <luigiwalser@yahoo.com> 2.2.2-1mdk
- 2.2.2
- Remove patch1 (integrated upstream)

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 2.2.1
	- changes to configure and make suggested by ncpfs author
	- Remove patch0 as a result
	- Change patch1 as a result (will be included upstream in next version)
	- s/Copyright/License/

* Sun Nov 17 2002 David Walser <luigiwalser@yahoo.com> 2.2.0.19-2mdk
- Use macros
- Fix ncplogout symlink
- ncpmount/ncpumount suid
- Remove unpackaged files
- Patch0, don't mess around in my filesystem

* Tue Nov 05 2002 David Walser <luigiwalser@yahoo.com> 2.2.0.19-1mdk
- Add URL and fix source URL
- Remove Source1 (not used) and Patch0 (merged upstream)
- Use configure macro
- Adaptation from RedHat spec file (mainly install section)
- Patch (Patch1) for pam_ncp_auth Makefile
- 2.2.0.19

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.0.18.a-3mdk
- Use optimizations

* Tue Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 2.2.0.18.a-2mdk
- changing some macros

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 2.2.0.18.a-1mdk
- new version
- adding some macros

* Tue May 23 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-4mdk
- new version
- adding new macros

* Tue May 23 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-4mdk
- Add ldconfig to ncp package

* Mon May 22 2000 Vicnent Saugey <chmouel@mandrakesoft.com> 2.2.0.17.a-3mdk
- Fix file list


* Thu May 18 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-2mdk
- Many fix in build process
- Add build pam-devel require
- Change all %%install process don't use the buggy Makefile of source for install

* Wed May 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0.17.a-1mdk
- 2.2.0.17
- Add large key patch
- Add net-pf-4 to /etc/conf.modules in %%post.

* Fri Apr 14 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.0.16.a-3mdk
- Fix groups.
- s/.gz/.bz2/ in rpm.files
- do not issue 2 sed call , just use the sed -e option.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.0.16.a
- left ipx_interface out of %%files.
- fix mount.ncp USER arg.
- move ipxdump docs to the package that it's in...
- fix bug in slist/nwsfind

* Mon May 17 1999 Axalon Bloodstone <axalon@relic.net>
- More Mandake adaptions, bzip2 manpages
- broken manpage symlinks

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from Axalon Bloodstone <axalon@Jumpstart.netpirate.org>

* Wed May 05 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix compilation

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid on nwsfind
- move ipxutils to using ncpfs versioning for sanity reasons

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- doesn't work on alpha, apparently
- add a mount.ncp mount helper

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- remove dangling symlink

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.12

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- build for arm. Yuk.

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.11

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.2.0.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- exclusively i386 for now.

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- move ipx_configure/ipx_internal_net to /sbin to permit /usr from NFS.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- there is a new version out, 2.0.12, but it contains RSA crypto code, so
  it's of no use for us. :-(
- buildroot and spec file cleanup

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>
- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- nwrights program now included in package.
